import { SimpleLocalIntegration } from '../../core/index.js';
import { ClementineConfigFlow } from './clementine.classes.configflow.js';
import { createClementineDiscoveryDescriptor } from './clementine.discovery.js';
import type { IClementineConfig } from './clementine.types.js';
import { clementineDomain, clementineProfile } from './clementine.types.js';

export class ClementineIntegration extends SimpleLocalIntegration<IClementineConfig> {
  public readonly domain = clementineDomain;
  public readonly discoveryDescriptor = createClementineDiscoveryDescriptor();
  public readonly configFlow = new ClementineConfigFlow();

  constructor() {
    super(clementineProfile);
  }
}

export class HomeAssistantClementineIntegration extends ClementineIntegration {}
